unit Unit1;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWTypes, DB, DBTables,
  IWDBWebPlanner, IWCompButton, IWCompLabel, IWDBGrids, Controls,
  IWVCLBaseControl, IWBaseControl, IWControl, IWWebPlanner,
  IWBaseHTMLControl, jpeg, IWColor, Windows
  {IW121}
  {Uncomment the line below when using IntraWeb 12.1 or higher}
  //, IWCompExtCtrls, IWCompGrids
  {Pre IW121}
  {Uncomment the line below when using IntraWeb 12.0 or lower}
  , IWExtCtrls, IWGrids
  ;

type
  TIWForm1 = class(TIWAppForm)
    TIWDBWebPlanner1: TTIWDBWebPlanner;
    IWDBGrid1: TIWDBGrid;
    IWLabel3: TIWLabel;
    IWLabel2: TIWLabel;
    IWButton1: TIWButton;
    IWButton2: TIWButton;
    MonthName: TIWLabel;
    TIWDBMonthSource1: TTIWDBMonthSource;
    DataSource1: TDataSource;
    Table1: TTable;
    IWImage1: TIWImage;
    IWLabel4: TIWLabel;
    IWImage2: TIWImage;
    IWLabel5: TIWLabel;
    procedure TIWDBWebPlanner1ItemCreate(Sender: TObject; FromBegin, ToEnd,
      Position: Integer);
    procedure IWAppFormCreate(Sender: TObject);
    procedure IWButton1Click(Sender: TObject);
    procedure IWButton2Click(Sender: TObject);
    procedure TIWDBWebPlanner1PlannerGetSideBarLines(Sender: TObject;
      Index, Position: Integer; var HourString, MinuteString,
      AmPmString: String);
    procedure TIWDBWebPlanner1ItemDelete(Sender: TObject; Item: TPlannerItem);
  public
  end;

implementation

{$R *.dfm}


procedure TIWForm1.TIWDBWebPlanner1ItemCreate(Sender: TObject; FromBegin,
  ToEnd, Position: Integer);
begin
  TIWDBWebPlanner1.CreateItemAtSelection;
end;

procedure TIWForm1.TIWDBWebPlanner1ItemDelete(Sender: TObject;
  Item: TPlannerItem);
begin
  TIWDBWebPlanner1.FreeItem(Item);
end;

procedure TIWForm1.IWAppFormCreate(Sender: TObject);
var
  item: TPlannerItem;
  da,mo,ye:word;
begin

  DecodeDate(Now, ye,mo,da);
  tiwdbmonthsource1.Year := ye;
  tiwdbmonthsource1.Month := mo;
  MonthName.Caption := IntToStr(tiwdbmonthsource1.Month) + '/' + inttostr(tiwdbmonthsource1.Year);

  table1.Active := true;

  TIWDBWebPlanner1.SelectionColor := $998877;

  TIWDBWebPlanner1.DefaultItem.CaptionBkg := $DFFAFF;
  TIWDBWebPlanner1.DefaultItem.CaptionBkgTo := $5AD4FF;
  TIWDBWebPlanner1.DefaultItem.CaptionFont.Color := clWebBlack;
  TIWDBWebPlanner1.DefaultItem.CaptionGradientDirection := gdVertical;

  TIWDBWebPlanner1.Header.Background :=  $FFDBBF;
  TIWDBWebPlanner1.Header.BackgroundTo := $FFF7EF;
  TIWDBWebPlanner1.Header.GradientDirection := gdVertical;

  TIWDBWebPlanner1.SideBar.Background := $FFDBBF;
  TIWDBWebPlanner1.SideBar.BackgroundTo := $FFF7EF;
  TIWDBWebPlanner1.SideBar.OccupiedColor := $5AD4FF;
  TIWDBWebPlanner1.SideBar.OccupiedColorTo := $71EFFF;
  TIWDBWebPlanner1.SideBar.GradientDirection := gdVertical;

  TIWDBWebPlanner1.Bands.ActivePrimary := $FAEADE;
  TIWDBWebPlanner1.Bands.ActiveSecondary := $EDD9C8;
  TIWDBWebPlanner1.Bands.NonActivePrimary := $F6F6F6;
  TIWDBWebPlanner1.Bands.NonActiveSecondary := $E9EEEE;
  TIWDBWebPlanner1.Bands.Show := true;

  TIWDBWebPlanner1.Font.Color := $8B4146;
  TIWDBWebPlanner1.SideBar.Font.Color := $8B4146;
  TIWDBWebPlanner1.SideBar.OccupiedFont.Color := clWebBLACK;
  TIWDBWebPlanner1.Header.Font.Color := $8B4146;

  if TIWDBWebPlanner1.Items.Count = 0 then
  begin
    item := TIWDBWebPlanner1.CreateItem;

    with item do
    begin
     ItemStartTime := encodedate(ye,mo,12);
     ItemEndTime := encodedate(ye,mo,20);
     Text.Text := 'Steve Ballmer';
     ItemPos := 0;
    end;

    TIWDBWebPlanner1.UpdateItem(item);
  end;

end;

procedure TIWForm1.IWButton1Click(Sender: TObject);
begin
  if tiwdbmonthsource1.Month = 12 then
  begin
    tiwdbmonthsource1.Month := 1;
    tiwdbmonthsource1.Year := tiwdbmonthsource1.Year + 1;
  end
  else
    tiwdbmonthsource1.Month := tiwdbmonthsource1.Month + 1;

  MonthName.Caption := IntToStr(tiwdbmonthsource1.Month) + '/' + inttostr(tiwdbmonthsource1.Year);
end;

procedure TIWForm1.IWButton2Click(Sender: TObject);
begin
  if tiwdbmonthsource1.Month = 1 then
  begin
    tiwdbmonthsource1.Month := 12;
    tiwdbmonthsource1.Year := tiwdbmonthsource1.Year - 1;
  end
  else
    tiwdbmonthsource1.Month := tiwdbmonthsource1.Month - 1;
  MonthName.Caption := IntToStr(tiwdbmonthsource1.Month) + '/' + inttostr(tiwdbmonthsource1.Year);

end;

procedure TIWForm1.TIWDBWebPlanner1PlannerGetSideBarLines(Sender: TObject;
  Index, Position: Integer; var HourString, MinuteString,
  AmPmString: String);

var
  sp: string;
begin
  sp := minutestring;

  if pos('/',sp)>0 then
  begin
    minutestring := copy(sp,1,pos('/',sp) - 1);
    delete(sp,1,pos('/',sp));
    if pos('/',sp)>0 then
    begin
      minutestring := minutestring  + ' <br>' + copy(sp,1,pos('/',sp) - 1);
    end;
  end;

end;

initialization
  TIWForm1.SetAsMainForm;

end.
