unit Unit1;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWTypes, IWCompLabel,
  Controls, IWVCLBaseControl, IWBaseControl, IWControl, IWWebPlanner,
  IWBaseHTMLControl, IWColor, IWDBWebPlanner, DateUtils, jpeg
  {IW121}
  {Uncomment the line below when using IntraWeb 12.1 or higher}
  //, IWCompExtCtrls
  {Pre IW121}
  {Uncomment the line below when using IntraWeb 12.0 or lower}
  , IWExtCtrls
  ;

type
  TIWForm1 = class(TIWAppForm)
    TIWWebPlanner1: TTIWWebPlanner;
    IWLabel1: TIWLabel;
    IWLabel2: TIWLabel;
    IWLabel3: TIWLabel;
    IWImage2: TIWImage;
    IWImage1: TIWImage;
    IWLabel4: TIWLabel;
    procedure IWAppFormCreate(Sender: TObject);
    procedure TIWWebPlanner1FailedMove(Sender: TObject; Item: TPlannerItem;
      FromBegin, FromEnd, FromPos, ToBegin, ToEnd, ToPos: Integer);
    procedure TIWWebPlanner1FailedSize(Sender: TObject; Item: TPlannerItem;
      Position, FromBegin, FromEnd, ToBegin, ToEnd: Integer);
    procedure TIWWebPlanner1ItemCreate(Sender: TObject; FromBegin, ToEnd,
      Position: Integer);
    procedure TIWWebPlanner1PlannerGetSideBarLines(Sender: TObject; Index,
      Position: Integer; var HourString, MinuteString, AmPmString: String);
  public
  end;

implementation

{$R *.dfm}


procedure TIWForm1.IWAppFormCreate(Sender: TObject);
var
  da,mo,ye:word;
begin
  IWLabel2.Caption := FormatDateTime('MMMMM yyyy' ,Now);

  DecodeDate(Now, ye,mo,da);
  TIWWebPlanner1.Mode.Year := ye;
  TIWWebPlanner1.Mode.Month := mo;

  TIWWebPlanner1.Display.DisplayEnd := DaysInMonth(Now) - 1;

  TIWWebPlanner1.MultiSelect := true;
  TIWWebPlanner1.SelectionColor := $998877;

  TIWWebPlanner1.DefaultItem.CaptionBkg := $DFFAFF;
  TIWWebPlanner1.DefaultItem.CaptionBkgTo := $5AD4FF;
  TIWWebPlanner1.DefaultItem.CaptionFont.Color := clWebBlack;

  TIWWebPlanner1.Header.Background :=  $FFDBBF;
  TIWWebPlanner1.Header.BackgroundTo := $FFF7EF;
  TIWWebPlanner1.Header.GradientDirection := gdVertical;

  TIWWebPlanner1.SideBar.Background := $FFDBBF;
  TIWWebPlanner1.SideBar.BackgroundTo := $FFF7EF;
  TIWWebPlanner1.SideBar.OccupiedColor := $5AD4FF;
  TIWWebPlanner1.SideBar.OccupiedColorTo := $71EFFF;
  TIWWebPlanner1.SideBar.GradientDirection := gdVertical;

  TIWWebPlanner1.Bands.ActivePrimary := $FAEADE;
  TIWWebPlanner1.Bands.ActiveSecondary := $EDD9C8;
  TIWWebPlanner1.Bands.NonActivePrimary := $F6F6F6;
  TIWWebPlanner1.Bands.NonActiveSecondary := $E9EEEE;
  TIWWebPlanner1.Bands.Show := true;

  TIWWebPlanner1.Font.Color := $8B4146;
  TIWWebPlanner1.SideBar.Font.Color := $8B4146;
  TIWWebPlanner1.SideBar.OccupiedFont.Color := clWebBLACK;
  TIWWebPlanner1.Header.Font.Color := $8B4146;

  with tiwwebplanner1.CreateItem do
  begin
   ItemStartTime := encodedate(ye,mo,10);
   ItemEndTime := encodedate(ye,mo,15);
   ItemPos := 0;
   Text.Text := 'Barack Obama';
  end;

  with tiwwebplanner1.CreateItem do
  begin
   ItemStartTime := encodedate(ye,mo,10);
   ItemEndTime := encodedate(ye,mo,15);
   Text.Text := 'Gordon Brown';
   ItemPos := 1;
  end;


  with tiwwebplanner1.CreateItem do
  begin
   ItemStartTime := encodedate(ye,mo,12);
   ItemEndTime := encodedate(ye,mo,20);
   Text.Text := 'Steve Ballmer';
   ItemPos := 3;
  end;

  with tiwwebplanner1.CreateItem do
  begin
   ItemStartTime := encodedate(ye,mo,1);
   ItemEndTime := encodedate(ye,mo,5);
   Text.Text := 'Dale Fuller';
   ItemPos := 4;
  end;

end;

procedure TIWForm1.TIWWebPlanner1FailedMove(Sender: TObject;
  Item: TPlannerItem; FromBegin, FromEnd, FromPos, ToBegin, ToEnd,
  ToPos: Integer);
begin
   WebApplication.ShowMessage('Already a reservation for the room in selected period');
end;

procedure TIWForm1.TIWWebPlanner1FailedSize(Sender: TObject;
  Item: TPlannerItem; Position, FromBegin, FromEnd, ToBegin,
  ToEnd: Integer);
begin
   WebApplication.ShowMessage('Already a reservation for the room in selected period');
end;

procedure TIWForm1.TIWWebPlanner1ItemCreate(Sender: TObject; FromBegin,
  ToEnd, Position: Integer);
begin
  if Assigned(tiwwebplanner1.Items.FindFirst(frombegin,toend,position)) then
    WebApplication.ShowMessage('No overlap allowed')
  else
  begin
  if tiwwebplanner1.EditType = edPopup then
    tiwwebplanner1.CreateItemAtSelection
  else
    tiwwebplanner1.CreateItemAtSelection.EditMode := true;
  end;
end;

procedure TIWForm1.TIWWebPlanner1PlannerGetSideBarLines(Sender: TObject;
  Index, Position: Integer; var HourString, MinuteString,
  AmPmString: String);
var
  sp: string;
begin
  sp := minutestring;

  if pos('/',sp)>0 then
  begin
    minutestring := copy(sp,1,pos('/',sp) - 1);
    delete(sp,1,pos('/',sp));
    if pos('/',sp)>0 then
    begin
      minutestring := minutestring  + ' <br>' + copy(sp,1,pos('/',sp) - 1);
    end;
  end;

end;

initialization
  TIWForm1.SetAsMainForm;

end.
